Assignee: Tim Sutton

Category: GRASS

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10518

Description

Hi,

The GRASS tool list is totally overwhelming. It would be much better if it started out in its collapsed form, instead of all submenus open

full.

Rule of thumb: never present more than 12 options in a submenu.

Hamish

Associated revisions

Revision 1310229c - 2009-04-07 02:39 PM - Jürgen Fischer

open grass module tree collapsed (implements #459)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@10496 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision dc6b7cdc - 2009-04-07 02:39 PM - Jürgen Fischer

open grass module tree collapsed (implements #459)

git-svn-id: http://svn.osgeo.org/qgis/trunk@10496 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2007-01-02 08:40 AM - Redmine Admin

Agreed. We're adding more commands, and the problem will increase with time. I think it will be good to structure the menus more clearly: we're working on

a "import/export/vector/raster/3Dvisualization/expert mode/shell" subdivision, but directions will be welcomed.

#2 - 2007-02-25 07:40 PM - Tim Sutton

Moved to milestone 0.9 since this looks like it involves large changes and in 0.8.x we will only be doing bug fixing / stabilising

#3 - 2007-11-10 10:01 AM - Markus Neteler

please collapse the toolbox listing... I heard many comments about this from GRASS users.
Additional idea: make use of the keywords each GRASS command has - through a search engine as already present for EPSG projection names. That

would be a great help. Open a new wish for this?

Markus

#4 - 2008-04-30 03:49 PM - Markus Neteler

Again, please collapse the toolbox listing. This is a major PITA. I have updated now to Release-0.10.0 but still it is all expanded...

Thanks

Markus

#5 - 2008-05-12 07:27 AM - Tim Sutton

Hi

I will be revising the grass toolbox with module search and module categories before 1.0 release of QGIS. Please bear with us until I get a chance to do

this.

Regards

Tim

#6 - 2008-07-14 05:50 AM - Tim Sutton

- Status changed from Open to In Progress

#7 - 2008-07-14 08:12 AM - Tim Sutton

Please note its still expanded in the 0.11.0 release but there is the new list control with filtering support now in 0.11.0. For 1.0.0 I am doing a larger

overhaul of the GRASS toolbox and will make the tree collapsed by default.

#8 - 2008-11-07 12:09 PM - Markus Neteler

I just tried trunk but it appears yet expanded... I keep fingers crossed!

#9 - 2008-11-12 10:55 PM - Tim Sutton

This is on my todo list before we release 1.0 - will get to it once API cleanup is finalised.

#10 - 2009-04-07 05:39 AM - Jürgen Fischer

- Status changed from In Progress to Closed

- Resolution set to fixed

implemented in commit:dc6b7cdc (SVN r10497)
#11 - 2009-04-07 12:33 PM - Markus Neteler

Thanks, really appreciated. The toolbox is nicely collapsed also in 1.0.x.

Thanks so much, Markus

#12 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted

Files

qgsgrasstools_branch1_0.diff 495 Bytes 2009-04-07 Markus Neteler
